package com.cosmodas.EntCosmos;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

@Entity
@Table(name = "vPedidos_apps")
public class VPedidosApps implements Serializable {

    @Column(name = "territorio")
    @Id
    public String territorio;
    @Column(name = "pedidos")
    public Integer pedidos;
    @Column(name = "programa_codigo")
    public String programaCodigo;
    @Column(name = "sin_descuento")
    public Double sinDescuento;
    @Column(name = "con_descuento")
    public Double conDescuento;

    public String getTerritorio() {
        return territorio;
    }

    public void setTerritorio(String territorio) {
        this.territorio = territorio;
    }

    public Integer getPedidos() {
        return pedidos;
    }

    public void setPedidos(Integer pedidos) {
        this.pedidos = pedidos;
    }

    public String getProgramaCodigo() {
        return programaCodigo;
    }

    public void setProgramaCodigo(String programaCodigo) {
        this.programaCodigo = programaCodigo;
    }

    public Double getSinDescuento() {
        return sinDescuento;
    }

    public void setSinDescuento(Double sinDescuento) {
        this.sinDescuento = sinDescuento;
    }

    public Double getConDescuento() {
        return conDescuento;
    }

    public void setConDescuento(Double conDescuento) {
        this.conDescuento = conDescuento;
    }

    public VPedidosApps(String territorio, Integer pedidos, String programaCodigo, Double sinDescuento, Double conDescuento) {
        this.territorio = territorio;
        this.pedidos = pedidos;
        this.programaCodigo = programaCodigo;
        this.sinDescuento = sinDescuento;
        this.conDescuento = conDescuento;
    }

    public VPedidosApps() {
    }
}
